# Delete a message DELETE https://api2.freecustom.email/v1/inboxes/{inbox}/messages/{id} Reference: https://docs.freecustom.email/free-custom-email-api/v-1/inboxes/inbox/messages/id/delete-a-message ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v1/inboxes/{inbox}/messages/{id}: delete: operationId: delete-a-message summary: Delete a message tags: - >- subpackage_v1.subpackage_v1/inboxes.subpackage_v1/inboxes/inbox.subpackage_v1/inboxes/inbox/messages.subpackage_v1/inboxes/inbox/messages/id parameters: - name: inbox in: path required: true schema: type: string - name: id in: path required: true schema: type: string - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/v1_inboxes_{inbox}_messages_{id}_Delete a message_Response_200 '401': description: Unauthorized content: application/json: schema: $ref: >- #/components/schemas/DeleteV1InboxesInboxMessagesIdRequestUnauthorizedError '404': description: Not Found content: application/json: schema: $ref: >- #/components/schemas/DeleteV1InboxesInboxMessagesIdRequestNotFoundError '429': description: Too Many Requests content: application/json: schema: $ref: >- #/components/schemas/DeleteV1InboxesInboxMessagesIdRequestTooManyRequestsError servers: - url: https://api2.freecustom.email components: schemas: v1_inboxes_{inbox}_messages_{id}_Delete a message_Response_200: type: object properties: message: type: string success: type: boolean required: - message - success title: v1_inboxes_{inbox}_messages_{id}_Delete a message_Response_200 DeleteV1InboxesInboxMessagesIdRequestUnauthorizedError: type: object properties: error: type: string message: type: string success: type: boolean required: - error - message - success title: DeleteV1InboxesInboxMessagesIdRequestUnauthorizedError DeleteV1InboxesInboxMessagesIdRequestNotFoundError: type: object properties: error: type: string message: type: string success: type: boolean required: - error - message - success title: DeleteV1InboxesInboxMessagesIdRequestNotFoundError DeleteV1InboxesInboxMessagesIdRequestTooManyRequestsError: type: object properties: hint: type: string error: type: string message: type: string success: type: boolean credits_url: type: string format: uri upgrade_url: type: string format: uri required: - hint - error - message - success - credits_url - upgrade_url title: DeleteV1InboxesInboxMessagesIdRequestTooManyRequestsError securitySchemes: bearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python v1_inboxes_{inbox}_messages_{id}_Delete a message_example import requests url = "https://api2.freecustom.email/v1/inboxes/string/messages/string" headers = {"Authorization": "Bearer "} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript v1_inboxes_{inbox}_messages_{id}_Delete a message_example const url = 'https://api2.freecustom.email/v1/inboxes/string/messages/string'; const options = {method: 'DELETE', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_inboxes_{inbox}_messages_{id}_Delete a message_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/inboxes/string/messages/string" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_inboxes_{inbox}_messages_{id}_Delete a message_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/inboxes/string/messages/string") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_inboxes_{inbox}_messages_{id}_Delete a message_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api2.freecustom.email/v1/inboxes/string/messages/string") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_inboxes_{inbox}_messages_{id}_Delete a message_example request('DELETE', 'https://api2.freecustom.email/v1/inboxes/string/messages/string', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_inboxes_{inbox}_messages_{id}_Delete a message_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/inboxes/string/messages/string"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_inboxes_{inbox}_messages_{id}_Delete a message_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/inboxes/string/messages/string")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```